Page MenuHomePhabricator

Deploy page issues to all wikipedias (except enwiki)
Closed, ResolvedPublic2 Estimated Story Points

Authored By
ovasileva
Nov 27 2018, 10:17 PM
Referenced Files
Tokens
"Party Time" token, awarded by RandomDSdevel."Mountain of Wealth" token, awarded by phuedx.

Description

NOTE: this is currently scheduled for December 17, 2018

Background

We will be deploying the page issues feature to all wikipedias but enwiki (due to annual fundraiser). The changes to page issue warnings will only appear on certain ambox templates and the visual design may vary based on the templates used on the local wikis.

Acceptance criteria

  • Ensure all direct subtasks are resolved
  • Deploy the page issues feature to 100% of users on all wikipedias except enwiki

Developer notes

$wgMinervaPageIssuesNewTreatment = [
        "base" => true,
        "beta" => true,
];

Related Objects

StatusSubtypeAssignedTask
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedovasileva
Resolvedalexhollender_WMF
Resolvedovasileva
Resolvedphuedx
Resolved Tbayer
Resolvedovasileva
ResolvedNiedzielski
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolvedovasileva
Resolved Tbayer
Resolvedphuedx
Resolvedovasileva
ResolvedJdlrobson
ResolvedJdlrobson
Resolved Tbayer
Resolved Tbayer
ResolvedNiedzielski
DeclinedNone
Resolvedovasileva
DuplicateNone
ResolvedNiedzielski

Event Timeline

ovasileva triaged this task as Medium priority.Nov 27 2018, 10:17 PM
ovasileva created this task.
ovasileva renamed this task from Deploy page issues to all wikis but enwiki to Deploy page issues to all wikis (except enwiki).Nov 27 2018, 10:18 PM
ovasileva updated the task description. (Show Details)
ovasileva raised the priority of this task from Medium to High.Dec 4 2018, 5:05 PM
ovasileva updated the task description. (Show Details)

@pmiazga also points out that $wgMinervaPageIssuesNewTreatment = true; needs to be set everywhere too (unless it already is 🤔).

ovasileva set the point value for this task to 2.Dec 4 2018, 5:22 PM
Jdlrobson added a subscriber: Jdlrobson.

Ensure all subtasks are resolved (except T202349 and T204143

T211257 and T200794 remain unresolved so this is blocked on those.

ovasileva renamed this task from Deploy page issues to all wikis (except enwiki) to Deploy page issues to all wikipedias (except enwiki).Dec 17 2018, 6:09 PM
ovasileva updated the task description. (Show Details)
nray added a subscriber: nray.

Change 480127 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Page issues treatment enabled on all wikis except enwiki

https://gerrit.wikimedia.org/r/480127

Scheduled for 40 minutes from now

Change 480127 merged by jenkins-bot:
[operations/mediawiki-config@master] Page issues treatment enabled on all wikis except enwiki

https://gerrit.wikimedia.org/r/480127

Mentioned in SAL (#wikimedia-operations) [2018-12-17T19:27:58Z] <pmiazga@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:480127 | Page issues treatment enabled on all wikis except enwiki(T210553)]] (duration: 00m 45s)

languagesingle issuesection issuemultiple issuesnotes
Spanishworking as expected:
es.m.wikipedia.org_wiki_Ataxia_de_Friedreich_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 166 KB)
link
working as expected:
es.m.wikipedia.org_wiki_Insulina_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 190 KB)
link
working as expected:
es.m.wikipedia.org_wiki_Cruz_Azul_F%C3%BAtbol_Club_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 183 KB)
link
.
Germanno changeno changeno change...
Japaneseworking as expected
ja.m.wikipedia.org_wiki_%E9%87%91%E5%85%89%E6%95%99_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 421 KB)
link
working as expected
ja.m.wikipedia.org_wiki_%E8%8F%A9%E8%96%A9_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 223 KB)
link
working as expected
ja.m.wikipedia.org_wiki_%E5%8C%97%E6%B5%B7%E9%81%93%E6%96%B0%E5%B9%B9%E7%B7%9A_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 326 KB)
link
...
Frenchslight FOUC
fr.m.wikipedia.org_wiki_Vezouze_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 272 KB)
link
working as expected
fr.m.wikipedia.org_wiki_Th%C3%A9orie_de_la_percolation_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 180 KB)
link
working as expected
fr.m.wikipedia.org_wiki_Break_dance_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 177 KB)
link
...
languagesingle issuesection issuemultiple issuesnotes
Russianslight FOUC
ru.m.wikipedia.org_wiki_%D0%A0%D0%BE%D1%81%D1%82%D0%BE%D0%B2%D1%89%D0%B8%D1%87%D0%B5%D1%81%D1%82%D0%B2%D0%BE_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 201 KB)
link
working as expected
ru.m.wikipedia.org_wiki_%D0%A1%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%B7%D0%B0%D1%81%D0%BB%D1%83%D0%B6%D0%B5%D0%BD%D0%BD%D1%8B%D1%85_%D0%BC%D0%B0%D1%81%D1%82%D0%B5%D1%80%D0%BE%D0%B2_%D1%81%D0%BF%D0%BE%D1%80%D1%82%D0%B0_%D0%A0%D0%BE%D1%81%D1%81%D.png (1×750 px, 208 KB)
link
slight FOUC
ru.m.wikipedia.org_wiki_%D0%92%D1%82%D0%BE%D1%80%D0%B0%D1%8F_%D0%BC%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D1%8F_%D0%B2%D0%BE%D0%B9%D0%BD%D0%B0_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 240 KB)
link
...
Italianno changeno changeno change...
Chineseworking as expected
zh.m.wikipedia.org_wiki_%E8%A2%81%E4%B8%96%E5%87%AF_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 302 KB)
link
working as expected:
zh.m.wikipedia.org_wiki_%E4%B8%AD%E5%8D%8E%E4%BA%BA%E6%B0%91%E5%85%B1%E5%92%8C%E5%9B%BD%E4%BA%BA%E6%9D%83_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 225 KB)
link
working as expected
zh.m.wikipedia.org_wiki_%E4%B8%AD%E5%8C%BB%E5%AD%A6_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 188 KB)
link
...
Portugueseworking as expected
pt.m.wikipedia.org_wiki_Z%C3%A9lia_Hoffman_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 181 KB)
link
working as expected
pt.m.wikipedia.org_wiki_Homeopatia(iPhone 6_7_8).png (1×750 px, 207 KB)
link
working as expected
pt.m.wikipedia.org_wiki_Papel-travesti_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 195 KB)
link
...
Polishworking as expected
pl.m.wikipedia.org_wiki_Recepta_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 211 KB)
link
working as expected
pl.m.wikipedia.org_wiki_Szyna_(profil)_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 113 KB)
link
working as expected
pl.m.wikipedia.org_wiki_Ustawa_useskin=minerva&minerva-issues=b(iPhone 6_7_8).png (1×750 px, 184 KB)
link
...

looks good! I am however getting a slight FOUC on some wikis (in particular frwiki and ruwiki)

ovasileva added a subscriber: alexhollender_WMF.

moving this to signoff. Since I QA'd it, perhaps @alexhollender might be a good person to do signoff.